#! /bin/bash

trap "echo '*** BUILD FAILED! ***' 1>&2" ERR
set -ex -o pipefail
umask 022
export PATH='/bin:/usr/bin:/usr/local/bin:~/diet-pc/tools'
export CFLAGS=${CFLAGS:--Os}
export CXXFLAGS=${CXXFLAGS:--Os}

rebuild () {
    tar xjf ssmtp_2.64.orig.tar.bz2
    cd ssmtp-2.64
    ./configure  --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
	    --disable-ssl --disable-inet6 --enable-md5auth
    make
    strip -R .note -R .comment ssmtp
    cp ssmtp ../ssmtp/sbin
    cd ..
    rm -rf ssmtp-2.64
}

chmod 0600 ssmtp/etc/ssmtp/ssmtp.conf

mkdir -p ssmtp/sbin ssmtp/lib
ln -sf ssmtp ssmtp/sbin/sendmail
ln -sf ../sbin/ssmtp ssmtp/lib/sendmail

while read FN; do
    eval "[ -e $FN ] || rebuild"
done < MANIFEST

ARCH=`ipkg -V 0 print_architecture | tail -n 1 | cut -f2 -d' '`
for CTRLFILE in */CONTROL/control; do
    sed -i -e "s/__ARCH__/$ARCH/g" $CTRLFILE
    sudo ipkg-build -o root -g root `dirname $CTRLFILE`/..
done
